//
//  MediaPrefsView.swift
//  Tusker
//
//  Created by Shadowfacts on 2/22/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import SwiftUI

struct MediaPrefsView: View {
    @ObservedObject var preferences = Preferences.shared
    
    var body: some View {
        List {
            viewingSection
        }.listStyle(GroupedListStyle()).navigationBarTitle("Media")
    }
    
    var viewingSection: some View {
        Section(header: Text("VIEWING")) {
            Toggle(isOn: $preferences.blurAllMedia) {
                Text("Blur All Media")
            }
            Toggle(isOn: $preferences.automaticallyPlayGifs) {
                Text("Automatically Play GIFs")
            }
        }
    }
}

struct MediaPrefsView_Previews: PreviewProvider {
    static var previews: some View {
        MediaPrefsView()
    }
}
